Loading...
Searching...
No Matches
ranges::views::generate_n_fn Struct Reference

## Public Member Functions

template<typename G > requires invocable<G &> && copy_constructible<G> && std::is_object<detail::decay_t<invoke_result_t<G &>>>
::value &&constructible_from< detail::decay_t< invoke_result_t< G & > >, invoke_result_t< G & > > &&assignable_from< detail::decay_t< invoke_result_t< G & > > &, invoke_result_t< G & > > generate_n_view< G > | operator() (G g, std::size_t n) const

## Related Symbols

(Note that these are not member symbols.)
constexpr generate_n_fn | generate_n {}